[arch-commits] CVS update of extra/lib/x264 (PKGBUILD)

Paul Mattal paul at archlinux.org
Sun Jun 17 09:59:32 EDT 2007


    Date: Sunday, June 17, 2007 @ 09:59:32
  Author: paul
    Path: /home/cvs-extra/extra/lib/x264

Modified: PKGBUILD (1.10 -> 1.11)

upgpkg: x264 20070616-1
update to 20070616 snapshot


----------+
 PKGBUILD |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)


Index: extra/lib/x264/PKGBUILD
diff -u extra/lib/x264/PKGBUILD:1.10 extra/lib/x264/PKGBUILD:1.11
--- extra/lib/x264/PKGBUILD:1.10	Sun Feb  4 07:28:56 2007
+++ extra/lib/x264/PKGBUILD	Sun Jun 17 09:59:32 2007
@@ -1,31 +1,32 @@
-# $Id: PKGBUILD,v 1.10 2007/02/04 12:28:56 jgc Exp $
+# $Id: PKGBUILD,v 1.11 2007/06/17 13:59:32 paul Exp $
 # Contributor: damir <damir at archlinux.org>
-# Maintainer: damir <damir at archlinux.org>
+# Maintainer: Paul Mattal <paul at archlinux.org>
 
 pkgname=x264
-pkgver=20061202
-pkgrel=2
+pkgver=20070616
+pkgrel=1
 pkgdesc="free library for encoding H264/AVC video streams"
 arch=(i686 x86_64)
+license=('GPL')
 depends=('libx11')
 makedepends=('nasm')
 [ "${CARCH}" = "x86_64" ] && makedepends=('yasm')
 url="http://developers.videolan.org/x264.html"
-source=(ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-20061202-2245.tar.bz2)
-md5sums=('0e411058dc763ef33bc33c76c28c9afd')
+source=(ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-20070616-2245.tar.bz2)
+md5sums=('f2814f629c1771d88d017c6041b0dbfb')
 
 build() {
-    cd ${startdir}/src/$pkgname-snapshot-${pkgver}-2245
+    cd ${startdir}/src/$pkgname-snapshot-${pkgver}-2245 || return 1
     ./configure \
         --enable-pthread \
         --enable-visualize \
 	--enable-shared \
-	--enable-pic
+	--enable-pic || return 1
     make || return 1
     make DESTDIR=${startdir}/pkg \
          bindir=/usr/bin \
          mandir=/usr/man \
          libdir=/usr/lib/ \
          includedir=/usr/include/ \
-       install
+       install || return 1
 }




More information about the arch-commits mailing list